summaryrefslogtreecommitdiffstats
path: root/audio/a52dec
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:42 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:42 +0200
commit9d20022ec57673b13a0e6b2881b0d8109d698b9c (patch)
tree8a6dc9c730f8870b64a08a912fab776da1a37c59 /audio/a52dec
parenta7e7a5991630bb267d84976988b7eb88d35e9bfa (diff)
downloadslackbuilds-9d20022ec57673b13a0e6b2881b0d8109d698b9c.tar.gz
slackbuilds-9d20022ec57673b13a0e6b2881b0d8109d698b9c.tar.xz
audio/a52dec: Moved from multimedia
Diffstat (limited to 'audio/a52dec')
-rw-r--r--audio/a52dec/README9
-rw-r--r--audio/a52dec/a52dec.SlackBuild85
-rw-r--r--audio/a52dec/a52dec.info8
-rw-r--r--audio/a52dec/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/audio/a52dec/README b/audio/a52dec/README
new file mode 100644
index 0000000000..acfea38edb
--- /dev/null
+++ b/audio/a52dec/README
@@ -0,0 +1,9 @@
+a52dec is a test program for liba52.
+It decodes ATSC A/52 streams, and also includes a demultiplexer for
+mpeg-1 and mpeg-2 program streams.
+This package also includes liba52
+liba52 is a free library for decoding ATSC A/52 streams.
+The A/52 standard is used in a variety of applications,
+including digital television and DVD. It is also known as AC-3.
+
+This SlackBuild doesn't compile against djbfft.
diff --git a/audio/a52dec/a52dec.SlackBuild b/audio/a52dec/a52dec.SlackBuild
new file mode 100644
index 0000000000..773940b269
--- /dev/null
+++ b/audio/a52dec/a52dec.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for a52dec
+#
+# Copyright 2007 Niklas "Nille" Åkerström
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=a52dec
+VERSION=0.7.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-shared
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog HISTORY INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $PKG $TMP/$PRGNAM-$VERSION
+ fi
diff --git a/audio/a52dec/a52dec.info b/audio/a52dec/a52dec.info
new file mode 100644
index 0000000000..093488850e
--- /dev/null
+++ b/audio/a52dec/a52dec.info
@@ -0,0 +1,8 @@
+PRGNAM="a52dec"
+VERSION="0.7.4"
+HOMEPAGE="http://liba52.sourceforge.net"
+DOWNLOAD="http://liba52.sourceforge.net/files/a52dec-0.7.4.tar.gz"
+MD5SUM="caa9f5bc44232dc8aeea773fea56be80"
+MAINTAINER="Niklas "Nille" Åkerström"
+EMAIL="nille_kungen[AT]hotmail.com"
+APPROVED="rworkman,Erik Hanson"
diff --git a/audio/a52dec/slack-desc b/audio/a52dec/slack-desc
new file mode 100644
index 0000000000..93129c56b9
--- /dev/null
+++ b/audio/a52dec/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+a52dec: a52dec (test program for liba52)
+a52dec:
+a52dec: a52dec is a test program for liba52. It decodes ATSC A/52 streams
+a52dec: and also includes a demultiplexer for mpeg-1 and mpeg-2 program
+a52dec: streams. This package also includes liba52, which is a free
+a52dec: library for decoding ATSC A/52 streams. The A/52 standard is used
+a52dec: in a variety of applications, including digital television and DVD.
+a52dec: It is also known as AC-3.
+a52dec:
+a52dec: Homepage: http://liba52.sourceforge.net/
+a52dec: